@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
:root {
    --clr-white: #FFFFFF;
    --clr-black: #111111;
    --clr-light: #F2F2F2;
    --clr-dark-hover: #2C2B2E;
    --clr-dark: #37363B;
    --clr-primary: #d61016;
/*    --clr-primary: #BF342D;*/
    --clr-primary-dark-minimum: #d61016 ;
    --clr-contrast: #ffffff;
    --clr-secondary: #d61016;
    --clr-secondary_contrast: #ffffff;
    --clr-gray: #F8F8F8;
    --clr-link-hover: #d61016;
    --clr-topBar: var(--clr-white);
    --clr-topBar-contrast: var(--clr-black);
    --clr-dark-gray: color-mix(in srgb, var(--clr-gray) 90%, black);
    --clr-text-success: #5cb85c;

    --font-family: "Raleway", 'Open Sans', sans-serif;
    --font-family-heading: "Raleway", 'Palanquin', sans-serif;
    --text-color: var(--clr-dark);
    --text-darken: #212121;

    --clr-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);

    --padding-y-header1: 0;

    --border-radius-xl: 32px;
    --border-radius-lg: 24px;
    --border-radius-md: 16px;
    --border-radius-sm: 8px;
    --border-radius-xs: 4px;

    --font-size-base: 16px;
    --spacing-desktop-xl: 5rem;
    --spacing-desktop: 50px;
    --spacing-mobile: 16px;
}

* {
  accent-color: var(--clr-secondary) !important;
}


h1,
.h1 {
    font-size: 46px;
}

h2,
.h2,
body .contenedor > h2 {
    font-size: 38px;
}

h3,
.h3 {
    font-size: 32px;
}

h4,
.h4 {
    font-size: 24px;
}

h5,
.h5 {
    font-size: 24px;
}

h6,
.h6 {
    font-size: 16px;
}

#HEADER_2 .zone_2 {
  padding-top: 15px; 
  padding-bottom: 15px; 
  flex-wrap: wrap;
}

#HEADER_2 .zone_2 a.search-icon{
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 44px;
  min-height: 44px;
  border-radius: 50px;
}

#HEADER_2 .zone_2 a.search-icon:hover,
#HEADER_2 .zone_2 a.search-icon:focus{
  background-color: var(--clr-gray);
}

#HEADER_2 .zone_2 a.carpeta,
#HEADER_2 .zone_2 a.transparencia {
  border: 2px solid var(--clr-primary);
  color: var(--clr-primary);
  border-radius: 50px;
  padding: 0.6rem 1.2rem;
}
#HEADER_2 .zone_2 a.carpeta span,
#HEADER_2 .zone_2 a.transparencia span{
  font-size: 1rem;
  font-weight: 600;
}
#HEADER_2 .zone_2 a.carpeta:hover,
#HEADER_2 .zone_2 a.carpeta:focus,
#HEADER_2 .zone_2 a.transparencia:hover,
#HEADER_2 .zone_2 a.transparencia:focus{
  background-color: var(--clr-primary);
  color: var(--clr-contrast);
}

#HEADER_3 .zone_1{
  background-image: url("../images/home_background.jpg");
  background-position: center;
  background-size: cover;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 120px;
}
#HEADER_3 .zone_1:after{
  content: "";
  position: absolute;
  inset: 0;
  background: var(--clr-primary);
  opacity: 0.6;
  backdrop-filter: blur(5px);
}

#HEADER_3 .zone_1 a.oficial-title{
  position: relative;
  z-index: 10;
  background: var(--clr-white);
  border-radius: var(--border-radius-sm);
  padding: 1em 1.5em;
}



#home .zone_1 div.contingut_71{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  column-gap: 60px;
  row-gap: 20px;
}
#home .zone_1 div.contingut_71 a.link{
  background: var(--clr-primary);
  color: var(--clr-contrast);
  border-radius: var(--border-radius-sm);
  border: 2px solid var(--clr-gray);
  padding-inline: 1.5em;
  font-weight: bold;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50px;
}

#home .zone_1 div.contingut_71 a.link:hover{
  border-color: var(--clr-primary);
  background-color: var(--clr-contrast);
  color: var(--clr-primary);

}


div .serveis {
  display: flex;
  flex-direction: column;
  gap: 1.5em;
  row-gap: 2rem;
}
@media screen and (min-width: 767px) {
  div .serveis {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
}
@media screen and (min-width: 1023px) {
  div .serveis {
    grid-template-columns: repeat(3, 1fr);
  }
}

/*Clear all buttons serveis*/
div .serveis > a {
  font-family: unset;
  border-bottom: unset;
  color: unset;
  text-decoration: unset;
  padding: unset;
  text-align: unset;
  background-color: unset;
  box-shadow: unset;
  transition: unset;
  display: unset;
  flex-direction: unset;
  justify-content: unset;
  align-items: unset;
  column-gap: unset;
  padding-right: unset;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: unset;
}
div .serveis > a:has(img) {
  padding-left: unset;
  text-align: unset;
}
div .serveis > a span {
  font-weight: unset;
  font-size: unset;
  flex-grow: unset;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  text-align: center;
}
div .serveis > a div {
  display: unset;
  align-items: unset;
  justify-content: unset;
  background: unset;
  border-radius: unset;
  height: unset;
  width: unset;
  aspect-ratio: unset;
}
div .serveis > a img {
  color: unset;
  width: unset;
  fill: unset;
  background-color: unset;
  border-radius: unset;
  opacity: unset;
  padding: unset;
}
div .serveis > a:hover, div .serveis > a:focus {
  background-color: unset;
  color: unset;
  transition: unset;
}

/*Footer*/
footer:has(.default-footer) #FOOTER_2{
  background: var(--clr-dark-gray);
  background-color: var(--clr-dark-gray);
  color: var(--text-color);
  align-items: start;
}
footer:has(.default-footer) #FOOTER_2 .zone_2 ul{
  text-align: unset!important;
}
footer:has(.default-footer) #FOOTER_2 span.title{
  font-weight: bold;
}
footer:has(.default-footer) #FOOTER_2 a,
footer:has(.default-footer) #FOOTER_2 span.title{
  color: var(--text-color);
}

footer:has(.default-footer) #FOOTER_2 .zone_2{
  flex-grow: 1;
}

footer:has(.default-footer) #FOOTER_2 .info-footer{
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 767px) {
  footer:has(.default-footer) #FOOTER_2 .info-footer{
    flex-direction: row;
    justify-content: space-evenly;
  }
}


footer:has(.default-footer) #FOOTER_3{
  background-color: unset!important;
  display: flex;
  flex-direction: column;
}

footer:has(.default-footer) #FOOTER_3 .zone_1{
  width: 100%;
}


footer:has(.default-footer) #FOOTER_3 .zone_1 .footer-sitemap ul{
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  gap: 0.5em;
}

footer:has(.default-footer) #FOOTER_3 .zone_1 .footer-sitemap ul li.sitemap-item a{
  color: var(--text-color);
  text-decoration: none;
}

footer:has(.default-footer) #FOOTER_3 .zone_1 .footer-sitemap ul li.sitemap-item a:focus,
footer:has(.default-footer) #FOOTER_3 .zone_1 .footer-sitemap ul li.sitemap-item a:hover{
  color: var(--clr-link-hover);
}

@media screen and (min-width: 767px) {
  footer:has(.default-footer) #FOOTER_3 .zone_1 .footer-sitemap ul{
    flex-direction: row;
    flex-wrap: wrap;
  }
  footer:has(.default-footer) #FOOTER_3 .zone_1 .footer-sitemap ul li+li>:before{
    content: "|";
  }
}


/*search-bar*/
.search-bar{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.search-bar form{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  row-gap: 4px;
  max-width: 700px;
  width: 100%;
  position: relative;
}

.search-bar form>label{
  font-size: 1.2rem;
  font-weight: bold;
  width: 100%;
}
.search-bar form>input#search{
  padding: 0.8rem 1.6rem;
  border-radius: var(--border-radius-xs) 0 0 var(--border-radius-xs);
  border: 1px solid var(--clr-dark-gray);
  font-size: 1rem;
  flex-grow: 1;
}

.search-bar form>button.header-navbar__searchButton{
  background-color: var(--clr-primary);
  color: var(--clr-contrast);
  padding: 0.8rem 1.6rem;
  border-radius: 0 var(--border-radius-xs) var(--border-radius-xs) 0;
  font-size: 1rem;
}
.search-bar form>button.header-navbar__searchButton:hover,
.search-bar form>button.header-navbar__searchButton:focus{
  background-color: color-mix(in sRGB, var(--clr-primary), black 20%);
  text-decoration: underline;
}

#home div .destacats > a{
  background: var(--clr-white);
  border-radius: var(--border-radius-sm);
  min-height: 60px;
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: row;
  gap: 8px;
  padding-right: 8px;
  padding-left: 16px;
}
#home div .destacats > a::before{
  content:"";
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 4px;
  background-color: var(--clr-primary);
}

#home div .destacats > a span{
  min-height: 50px;
  display: flex;
  align-items: center;
  justify-content: start;
  flex-grow: 1;
  font-weight: 600;
}

#home div .destacats > a:hover,
#home div .destacats > a:focus{
  background: var(--clr-link-hover);
  color: var(--clr-contrast);
}


#home div .destacats > a:after{
  content:"\f061";  
  display: inline-block;
    font: normal normal normal 14px / 1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
}
@media screen and (min-width: 1023px) {
  div .serveis {
      grid-template-columns: repeat(3, 1fr);
  }
}

div.displayText:has(h2){
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
#home h2 {
  font-size: 38px;
  font-weight: 700;
  padding-bottom: 0.4em;
}


.serveis .iconLink{
  background: var(--clr-white);
  padding: 2rem 1rem;
  border-radius: var(--border-radius-sm);
  border: 1px solid var(--clr-dark-gray);
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.serveis .iconLink span:not(.description){
  font-size: 1.4rem;
  font-weight: bold;
}

.serveis .iconLink span.description{
  font-size: 0.9rem;
}

footer:has(.default-footer) #FOOTER_3 .zone_1{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

footer:has(.default-footer) #FOOTER_3 .zone_1 div:has(img){
  min-width: 200px;
  width: 100%;
  max-width: 350px;
  display: block;
  height: fit-content;
}
.default-footer .info-contacte *{
  word-break: break-word; 
}

@media screen and (min-width: 767px) {
  footer:has(.default-footer) #FOOTER_3 .zone_1{
    flex-direction: row;
    justify-content: space-between;
  }
}

#HEADER_1 .municipal-web img {
  max-width: 15rem;
  width: auto!important;
  min-width: 100px;
}
#HEADER_1 #content_92 p{
  margin: 0;
  font-size: 24px;
  font-weight: bold;
  color: #333;
}
.menu-dropdown .dropdown-menu{
  left: 0;
}
@media screen and (min-width: 767px) {
  .menu-dropdown .dropdown-menu{
    left: unset!important;
  }
}

#home:not(:has(div:empty))> :nth-child(even),
#home:not(:has(div:empty))> :nth-child(odd){
  background-color: var(--clr-gray);
}

footer:has(.default-footer) #FOOTER_3{
  color: var(--text-color);
}

footer:has(.default-footer) #FOOTER_3 #content_84 p{
  margin: 0;
}

footer:has(.default-footer){
  background-color: var(--clr-white);
  display: flex;
  flex-direction: column;
  justify-content: center;
}

footer:has(.default-footer) #FOOTER_2,
footer:has(.default-footer) #FOOTER_3,
footer:has(.default-footer) #FOOTER_4{
  margin-inline: auto;
  padding-inline: 0;
  width: clamp(20rem, 1000px, 90vw);
}


/* #home>* {
  padding: 2em var(--spacing-mobile);
}

@media screen and (min-width: 767px) {
  #home>* {
      padding: 2em var(--spacing-desktop);
  }
}

@media screen and (min-width: 1023px) {
  #home>* {
      padding: 2em var(--spacing-desktop-xl);
  }
} */

#home>*{
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 2em auto;
  row-gap: 0;
  width: clamp(20rem, 1000px, 90vw);
}


body:has(#home){
  background-color: var(--clr-gray);
}

body .contenedor {
  padding: 0;
  margin-inline: auto;
  width: clamp(20rem, 1000px, 90vw);
}

.cookie-notice .body p {
  display: flex  ;
  flex-direction: column;
  align-items: center;
}
.cookie-notice .bottom {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.cookie-notice {
  max-width: 350px !important;
}

#ui-datepicker-div .ui-datepicker-header select {
  background-color: var(--clr-primary);
}

